## libqt4-experimental-sql-mysql 4.7.0~git20100728

=== Makefile ===
# Dummy Makefile to make Debian packaging easier

QMAKE_FLAGS="INCLUDEPATH += /usr/include/mysql"

all:
	cd src/plugins/sqldrivers/mysql && /opt/qt4-maemo5/bin/qmake $(QMAKE_FLAGS) mysql.pro
	$(MAKE) -C src/plugins/sqldrivers/mysql all

install:
	$(MAKE) -C src/plugins/sqldrivers/mysql install

distclean:
	$(MAKE) -C src/plugins/sqldrivers/mysql distclean

=== debian/changelog ===
libqt4-experimental-sql-mysql (4.7.0~git20100728) unstable; urgency=low

  * Update version number for rebuild in autobuilder and fit to current
    libqt4-experimental package abi

 -- Bjoern Ricks <bjoern.ricks@intevation.de>  Fri, 30 Jul 2010 12:18:39 +0200

libqt4-experimental-sql-mysql (4.7.0~git20100507-1) unstable; urgency=low

  * Initial release for new Qt 4.7 package name

 -- Bjoern Ricks <bjoern.ricks@intevation.de>  Fri,  7 May 2010 17:20:14 +0200

=== debian/control ===
Source: libqt4-experimental-sql-mysql
Section: libs
Priority: optional
Maintainer: Bjoern Ricks <bjoern.ricks@intevation.de>
Build-Depends: debhelper (>= 5), libqt4-experimental-dev, libmysqlclient15-dev
Standards-Version: 3.7.2

Package: libqt4-experimental-sql-mysql
Architecture: any
Depends: libqt4-experimental-sql, ${shlibs:Depends}
Description: Qt 4 MySQL plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the MySQL driver for Qt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_DH_ALWAYS_EXCLUDE := .git
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/libqt4-experimental-sql-mysql.sgml > libqt4-experimental-sql-mysql.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/libqt4-experimental-sql-mysql.
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/libqt4-experimental-sql-mysql install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
